Author Topic: AutoCAD MEP 2011  (Read 14092 times)

0 Members and 1 Guest are viewing this topic.

nivuahc

  • Guest
Re: AutoCAD MEP 2011
« Reply #15 on: December 20, 2010, 11:09:59 AM »
Just to follow up on this post;

I figured out how to do what it is that I needed to do using fields that I created via lisp. What really ate my lunch was the ObjectID in a 64 bit system. Lee Mac wrote this, though, that cleared it all up for me:

Code: [Select]
(defun GetObjectID (obj)
    (setq util (cond (util) ((vla-get-Utility
                               (vla-get-ActiveDocument (vlax-get-acad-object))))))
   
    (if (vl-string-search "X64" (strcase (getvar 'PLATFORM)))
      (vlax-invoke-method util 'GetObjectIdString obj :vlax-false)
      (itoa (vla-get-Objectid obj))))